Page MenuHomePhabricator

Regression: New line after images at fr.wikivoyage
Closed, ResolvedPublic

Description

Two changes appered recently without any change on the template banner on french Wikivoyage:

Labels (icons on the right top of the banner) is now show one up to the other and not next to the other new line between two icons. exemple: https://fr.wikivoyage.org/wiki/Parc_national_des_Poloniny

Flag before the title also show the title on a next line. exemple:https://fr.wikivoyage.org/wiki/N%C3%A9pal

Expected:

Actual:

Details

Related Gerrit Patches:
mediawiki/extensions/WikidataPageBanner : wmf/1.27.0-wmf.22degeneralize the `a` selector
mediawiki/extensions/WikidataPageBanner : masterdegeneralize the `a` selector

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptApr 9 2016, 11:06 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Crochet.david renamed this task from New line after images to New line after images at fr.wikivoyage.Apr 9 2016, 11:31 AM

Maybe a help :

With the inspector of firefox (inspecteur de firefox in french) the unchecking of « display:block;» on the following text replace at the right place the labels :

.wpb-topbanner a{
position:relative;
display:block;
height:100%;
width:100%

But, where is (in wich file) this indication ?

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Apr 21 2016, 1:48 PM

Sorry... I broke this in T131072
We probably want to make that rule only apply to the heading link!

Jdlrobson renamed this task from New line after images at fr.wikivoyage to Regression: New line after images at fr.wikivoyage.Apr 21 2016, 4:22 PM

@Crochet.david thanks for debugging and sorry for the lateness replying!

Jdlrobson updated the task description. (Show Details)Apr 26 2016, 5:26 PM

Change 285559 had a related patch set uploaded (by Jdlrobson):
degeneralize the a selector

https://gerrit.wikimedia.org/r/285559

Change 285559 merged by jenkins-bot:
degeneralize the a selector

https://gerrit.wikimedia.org/r/285559

phuedx added a subscriber: phuedx.Apr 27 2016, 12:31 PM

Wikidata-Page-Banner isn't enabled on the Beta Cluster, so this'll have to be signed off in production.

Jdlrobson closed this task as Resolved.Apr 27 2016, 4:20 PM
Jdlrobson claimed this task.

Fix will be live Wed 4th May. Let me know if this fix is needed more urgently. I could always make that happen on Thursday.

Change 286018 had a related patch set uploaded (by Dereckson):
degeneralize the a selector

https://gerrit.wikimedia.org/r/286018

Change 286018 merged by jenkins-bot:
degeneralize the a selector

https://gerrit.wikimedia.org/r/286018

Omondi added a subscriber: Omondi.May 4 2016, 9:26 AM

Fix will be live Wed 4th May. Let me know if this fix is needed more urgently. I could always make that happen on Thursday.